# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- Circumcirclesector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Hyperbola
- Image
- Incenter
- Incircle
- Integral
- Intersection
- Line
- Locus
- Midpoint
- Mirrorpoint
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- Perpendicularpoint
- Point
- Polygon
- Reflection
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Tangent
- Text
- Ticks
- Tracecurve

## Classes

- _global_
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.Curve
- JXG.Dump
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Turtle
- JXG.Util
- JXG.VMLRenderer

# Class JXG.Group

↳ JXG.Group

In this class all group management is done.
Defined in: Group.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.Group(id, name, name) Creates a new instance of Group.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addGroup(object) Adds an Point to this group.
| addPoint(object) Adds an Point to this group.
| addPoints(objects) Adds multiple points to this group.
| ungroup() Releases the group added to the points in this group, but only if this group is the last group.
| update(point) Sends an update to all group members.

Class Detail
JXG.Group(id, name, name)
Creates a new instance of Group.

Parameters:
{String} id
  Unique identifier for this object. If null or an empty string is given, an unique id will be generated by Board
{String} name
  Not necessarily unique name, displayed on the board. If null or an empty string is given, an unique name will be generated.
name

Method Detail
addGroup(object)
Adds an Point to this group.

Parameters:
{JXG.Point} object
  The object added to the group.

addPoint(object)
Adds an Point to this group.

Parameters:
{JXG.Point} object
  The object added to the group.

addPoints(objects)
Adds multiple points to this group.

Parameters:
{Array} objects
  An array of points to add to the group.

ungroup()
Releases the group added to the points in this group, but only if this group is the last group.

update(point)
Sends an update to all group members.

Parameters:
{JXG.Point} point
  The point that caused the update.

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Apr 02 2012 17:54:07 GMT+0200 (MESZ)